Bug 432613 - Review Request: kgrab - A screen grabbing utility for KDE 4
Review Request: kgrab - A screen grabbing utility for KDE 4
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-13 06:58 EST by Sebastian Vahl
Modified: 2008-02-14 07:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-13 15:39:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sebastian Vahl 2008-02-13 06:58:54 EST
Spec URL: http://svahl.fedorapeople.org/kgrab/kgrab.spec
SRPM URL: http://svahl.fedorapeople.org/kgrab/kgrab-0.1.1-1.fc8.src.rpm
Description: 
A screen grabbing utility for KDE 4.

scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=422683
Comment 1 Sebastian Vahl 2008-02-13 07:20:28 EST
I've forgotten the "Requires" in the first version:

Spec URL: http://svahl.fedorapeople.org/kgrab/kgrab.spec
SRPM URL: http://svahl.fedorapeople.org/kgrab/kgrab-0.1.1-2.fc8.src.rpm

%changelog
* Wed Feb 13 2008 Sebastian Vahl <fedora@deadbabylon.de> - 0.1.1-2
- added requires xdg-utils, kde4-macros(api)
Comment 2 Parag AN(पराग) 2008-02-13 07:28:15 EST
Aha. I just tried to ask same and got Mid-air collision!
Comment 3 Sebastian Vahl 2008-02-13 07:34:40 EST
(In reply to comment #2)
> Aha. I just tried to ask same and got Mid-air collision!

Sorry about that. :)

Comment 4 Parag AN(पराग) 2008-02-13 08:20:08 EST
Damn! Koji took much time for scratch build. I have no idea why build got hung
for i386. I assume its koji problem. Anyway its complete now.

Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=422845
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
4f58d536da89abc24ea0a72e0c71d41b  kgrab-0.1.1.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are honored correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ xdg-utils scriptlets are used.
+ Desktop file installed correctly.
+ GUI app.

SHOULD:
  Like other kiconedit and kcoloredit packages you want to add
   Requires: kdelibs4 >= %{version}
   Requires: oxygen-icon-theme

APPROVED.

Comment 5 Sebastian Vahl 2008-02-13 09:00:01 EST
(In reply to comment #4)
> SHOULD:
>   Like other kiconedit and kcoloredit packages you want to add
>    Requires: kdelibs4 >= %{version}
>    Requires: oxygen-icon-theme
> 
> APPROVED.

Thanks!
I'll add the requires after the import (with "Requires: kdelibs4 >= 4" 
not %{version}).

New Package CVS Request
=======================
Package Name: kgrab
Short Description: A screen grabbing utility for KDE 4
Owners: svahl,than,rdieter,kkofler,ltinkl
Branches: 
InitialCC: 
Cvsextras Commits: no
Comment 6 Kevin Fenzi 2008-02-13 12:40:40 EST
cvs done.
Comment 7 Rex Dieter 2008-02-13 15:22:25 EST
imo, the "for KDE 4" part of the summary,description should be omitted.
Comment 8 Sebastian Vahl 2008-02-13 15:39:28 EST
Mhh. Maybe. I've used this also in other packages to distinguish it from kde3 apps.


BTW: Imported and built: http://koji.fedoraproject.org/koji/buildinfo?buildID=36082
Comment 9 Rex Dieter 2008-02-13 16:26:44 EST
Except then that pkg description is also in bugzilla, etc... (forever), what
when kde5 version comes?  Besides, end users should not want/need to care which
toolkit an app uses.  An exception, is an app/pkg that is toolkit or
desktop-specific, ie, for Gnome or kde only, the "For Gnome" or "for kde" is
appropriate.
Comment 10 Sebastian Vahl 2008-02-13 16:55:49 EST
(In reply to comment #9)
> Except then that pkg description is also in bugzilla, etc... (forever), what
> when kde5 version comes?  Besides, end users should not want/need to care which
> toolkit an app uses.  An exception, is an app/pkg that is toolkit or
> desktop-specific, ie, for Gnome or kde only, the "For Gnome" or "for kde" is
> appropriate.

Ok. Convinced. :)
I'll remove the "KDE 4" phrase from the packages in cvs so that it will be
picked up when the next updates arrives. If there will be none I'll bump them
before F9 gets frozen. Or should I build them anyway?

Comment 11 Rex Dieter 2008-02-13 20:16:21 EST
imo, no need to rebuild just for that.
Comment 12 Sebastian Vahl 2008-02-14 07:17:36 EST
Ok then. I've committed the changes to cvs this morning.
Comment 13 Parag AN(पराग) 2008-02-14 07:26:39 EST
thanks.

Note You need to log in before you can comment on or make changes to this bug.